SKYTOOLS_UPGRADE(1)

NAME
skytools_upgrade - utility for upgrading Skytools code in databases.

SYNOPSIS
skytools_upgrade.py [switches] connstr [connstr ...]

DESCRIPTION
It connects to given database, then looks for following schemas:

pgq Main PgQ code.

pgq_ext
    PgQ batch/event tracking in remote database.

londiste
    Londiste replication. If schema exists, its version is detected by querying .version() function under schema. If the function does not exists, there is some heuristics built in to differentiate between 2.1.4 and 2.1.5 version of the schemas. If detected that version is older than current, it is upgraded by applying upgrade scripts in order.

COMMAND LINE SWITCHES
Following switches are common to all skytools.DBScript-based Python programs.

-h, --help
    show help message and exit

-q, --quiet
    make program silent

-v, --verbose
    make program more verbose

-d, --daemon
    make program go background

--ini
    show commented template config file. Following switches are used to control already running process. The pidfile is read from config then signal is sent to process id specified there.

-r, --reload
    reload config (send SIGHUP)

-s, --stop
    stop program safely (send SIGINT)

-k, --kill
    kill program immidiately (send SIGTERM) Options specific to skytools_upgrade:

--all
    Upgrade all databases.

--not-really
    Don&#8217;t actually do anything.